<% if (section === 'css') { %>
<style>
  #start-time {
    text-align: center;
    font-weight: 900;
    line-height: 0.85;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="start" style="height: 110%;">
  <span id="start-time" class="max-size text-fit"></div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  const startTimeElement = document.getElementById('start-time')

  function updateStartTime() {
    const d = new Date()
    let result = ''
    d.setTime(d.getTime()+timeOffset)
    result += (d.getHours()<10?'0':'') + d.getHours() + ':';
    result += (d.getMinutes()<10?'0':'') + d.getMinutes() + '<br>';
    result += (d.getSeconds()<10?'0':'') + d.getSeconds();
    
    startTimeElement.innerHTML = result;
    fitText(startTimeElement)
  }
  setInterval(updateStartTime, 200)
  updateStartTime()
</script>
<% } %>
